<?php
session_start();

include 'inc/config.php';
include 'inc/functions.php';

if (empty($user['login']) and empty($user['password']))
{
header('Location:'.$base_url.'logout');
exit;
}

session_write_close();
?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <base href="<?=$base_url;?>">
        <meta charset="utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
        <meta name="description" content="" />
        <meta name="author" content="" />
        <title>Управление ботами</title>
        <link href="css/styles.css" rel="stylesheet" />
        <link href="https://cdn.datatables.net/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" crossorigin="anonymous" />
        <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.11.2/js/all.min.js" crossorigin="anonymous"></script>
    </head>
    <body class="sb-nav-fixed">
<?php 
include 'inc/blocks/header.php';
?>
        <div id="layoutSidenav">
<?php
include 'inc/blocks/sidebar.php';
?>
            <div id="layoutSidenav_content">
                <main>
                    <div class="container-fluid">
                        <h3 class="my-4 ml-2">Управление ботами
                        <button class="btn btn-success px-4" style="margin-left:10px;float:right" data-toggle="modal" data-target="#linksBots">Ссылки на ботов</button>
                        <button class="btn btn-primary px-4" style="margin-left:10px;float:right" data-toggle="modal" data-target="#pasteBots">Вставить ботов</button>
                        <button class="btn btn-primary px-4" style="float:right" data-toggle="modal" data-target="#addBot">Новый бот</button></h3>
                        <div class="card mb-4">
                            <div class="card-body">
                                <div class="table-responsive">
                                    <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                                        <thead>
                                            <tr>
                                                <th class="font-weight-normal text-uppercase" style="width:15px;font-size: 13px">ID</th>
                                                <th class="font-weight-normal text-uppercase" style="font-size: 13px">Юзернейм</th>
                                                <th class="font-weight-normal text-uppercase" style="font-size: 13px">Шаблон</th>
                                                <th class="font-weight-normal text-uppercase" style="width:15px;font-size: 13px">Аудитория</th>
                                                <th class="font-weight-normal text-uppercase" style="font-size: 13px">Статус</th>
                                                <th class="font-weight-normal text-uppercase" style="font-size: 13px">Создан</th>
                                                <th style="width:100px;"></th>

                                            </tr>
                                        </thead>
                                        <tbody>
<?php
    $stmt = $pdo->prepare("SELECT * FROM bots WHERE project_id=:project_id ORDER BY date_created ASC");
    $stmt->bindParam(':project_id', $project['id']);
    $stmt->execute();
    $result = $stmt->fetchAll(PDO::FETCH_ASSOC);

foreach ($result as $key => $value) {

$bot_id = $value['id'];

$res_count = $pdo->prepare("SELECT * FROM users WHERE bot_id=:bot_id");
$res_count->bindParam(':bot_id', $bot_id);
$res_count->execute();
$count_users = $res_count->rowCount();

if($value['status'] == 0){
    $status_bot = '<i class="fas fa-check-circle text-success"></i> Активен';
    $act_bot[0] = '<i class="far fa-stop-circle text-danger mx-2" onclick="stop_bot('.$bot_id.');" style="cursor:pointer" title="Остановить"></i>';
}

if($value['status'] == 1){
    $status_bot = '<i class="fas fa-times-circle text-danger"></i> Остановлен';
    $act_bot[0] = '<i class="far fa-play-circle mx-2 text-success" onclick="start_bot('.$bot_id.');" style="cursor:pointer" title="Запустить"></i>';
}


if($value['status'] == 2){
    $status_bot = '<i class="fas fa-times-circle text-danger"></i> Удален';
}


    $act_bot[1] = '<i class="far fa-edit mx-2" style="cursor:pointer" title="Редактировать" onclick="editBot('.$value['temp_id'].','.$value['id'].',\''.$value['token'].'\');" data-toggle="modal" data-target="#editBot"></i>';
    $act_bot[2] = '<i class="far fa-trash-alt text-danger mx-2" style="cursor:pointer" title="Удалить" onclick="del_bot('.$value['id'].');"></i>';

$res_template = $pdo->prepare("SELECT * FROM templates WHERE id=:id");
$res_template->bindParam(':id', $value['temp_id']);
$res_template->execute();
$template = $res_template->fetch(PDO::FETCH_ASSOC);
?>
                                            <tr id="bot<?=$value['id'];?>">
                                                <td class="text-center"><?=$value['id'];?></td>
                                                <td><a class="font-weight-bold" target="_blank" href="https://t.me/<?=$value['username'];?>"><?=$value['username'];?></a></td>
                                                <td class="text-center"><a target="_blank" href="project/<?=$hash_project;?>/constructor/<?=$template['id'];?>"><?=$template['name'];?></a></td>
                                                <td class="text-center"><?=$count_users;?></td>
                                                <td class="text-center"><?=$status_bot;?></td>
                                                <td class="text-center"><?=showDate(strtotime($value['date_created']));?></td>
                                                <td class="text-center"><span id="act_bot_<?=$value['id'];?>"><?=$act_bot[0];?></span><?=$act_bot[1];?><?=$act_bot[2];?></td>
                                            </tr>
<?php
}
?>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </main>
            </div>
        </div>
<?php
include 'inc/blocks/block.modals.php';
?>
        <script src="https://code.jquery.com/jquery-3.4.1.min.js" crossorigin="anonymous"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.bundle.min.js" crossorigin="anonymous"></script>
        <script src="js/scripts.js"></script>
        <script src="https://cdn.datatables.net/1.10.20/js/jquery.dataTables.min.js" crossorigin="anonymous"></script>
        <script src="https://cdn.datatables.net/1.10.20/js/dataTables.bootstrap4.min.js" crossorigin="anonymous"></script>
        <script src="assets/demo/datatables-demo.js"></script>
        <script src="js/simpleUpload.min.js?v=2"></script>
<?php
include 'inc/blocks/block.js.php';
?>
    </body>
</html>
<?php
function showDate( $date ) // $date --> время в формате Unix time
{
    $stf      = 0;
    $cur_time = time();
    $diff     = $cur_time - $date;

    $seconds = array( 'секунда', 'секунды', 'секунд' );
    $minutes = array( 'минута', 'минуты', 'минут' );
    $hours   = array( 'час', 'часа', 'часов' );
    $days    = array( 'день', 'дня', 'дней' );
    $weeks   = array( 'неделя', 'недели', 'недель' );
    $months  = array( 'месяц', 'месяца', 'месяцев' );
    $years   = array( 'год', 'года', 'лет' );
    $decades = array( 'десятилетие', 'десятилетия', 'десятилетий' );

    $phrase = array( $seconds, $minutes, $hours, $days, $weeks, $months, $years, $decades );
    $length = array( 1, 60, 3600, 86400, 604800, 2630880, 31570560, 315705600 );

    for ( $i = sizeof( $length ) - 1; ( $i >= 0 ) && ( ( $no = $diff / $length[ $i ] ) <= 1 ); $i -- ) {
        ;
    }
    if ( $i < 0 ) {
        $i = 0;
    }
    $_time = $cur_time - ( $diff % $length[ $i ] );
    $no    = floor( $no );
    $value = sprintf( "%d %s ", $no, getPhrase( $no, $phrase[ $i ] ) );

    if ( ( $stf == 1 ) && ( $i >= 1 ) && ( ( $cur_time - $_time ) > 0 ) ) {
        $value .= time_ago( $_time );
    }

    return $value.' назад';
}

function getPhrase( $number, $titles ) {
    $cases = array( 2, 0, 1, 1, 1, 2 );

    return $titles[ ( $number % 100 > 4 && $number % 100 < 20 ) ? 2 : $cases[ min( $number % 10, 5 ) ] ];
}
?>